
#include "rlinear.h"
#include "fine.h"

void _fine(float *u_fine, float *v_fine, float *t_fine, float *q_fine, 
		float *ud, float *vd, float *td, float *qd, float hgt, float aptemp)
{
	int i,incr,j,height;

	height=50;
	j=1;

	u_fine[1]=ud[1];
	v_fine[1]=vd[1];
	t_fine[1]=td[1];
	q_fine[1]=qd[1];

	for(i=1;i<=9;i++)
	{
		for(incr=1;incr<=5;incr++)
		{
			j=j+1;
			u_fine[j]=_rlinear(ud[i+1],ud[i],incr);
			v_fine[j]=_rlinear(vd[i+1],vd[i],incr);
			q_fine[j]=_rlinear(qd[i+1],qd[i],incr);

			if(height<=hgt)
			{
				t_fine[j]=aptemp;
			}
			else
			{
				t_fine[j]=_rlinear(td[i+1],td[i],incr);
			}
			height+=50;
		}
	}

	/* If below top of the mixing layer potential temperature
	that at 50m. Otherwise, average as usual to create fine scale.*/

}
