
#include "stomc.h"

/* Returns the critical stomatal resistance for the critical
ground water potential. */
float _stomc(float b1, float psice, float rmin, float fs, float ft)
{
	float fpsice;

	fpsice=1+b1*psice;

	return(rmin*fs*fpsice*ft);
}
